:root {
    --primary: #0364A1;
    --secondary: #02436B;
    --dark: #00101A;
    --gray: #E9EEF2;
    --white: #ffffff;

    --shadow-color: #b7babc;
    --shadow: 3px 3px 20px -2px var(--shadow-color);

    --maxWidth: 1400px;

    --heading-font: linotype-didot, serif;
    --paragraph-font: "stevie-sans", sans-serif;

    --section-padding: 200px 5%;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: var(--paragraph-font);
}
html {
    overflow-x: hidden;
}

body {
    background-color: var(--white);
    overflow-x: hidden;
	    overflow-y: hidden;
    position: relative;
}

figure {
    height: 100%;
    width: 100%;
}

h1,
h2 {
    font-family: var(--heading-font);
    font-weight: 700;
    font-style: normal;
    color: var(--dark);
    hyphens: auto;
  	overflow-wrap: anywhere;
}

h1 {
font-size: clamp(3.875rem, 0.5352rem + 5.625vw, 5rem);
    line-height: 120%;
}

h2 {
    font-size: 70px;
    line-height: 110%;
    margin-bottom: 30px;
    margin-top: 15px;

}

h3 {
    font-size: 30px;
    font-family: var(--heading-font);
    line-height: 130%;
}

h4 {
    font-size: 26px;
    font-weight: 700;
    font-family: var(--paragraph-font);
    color: var(--secondary);
}


h1 strong {
    font-family: var(--heading-font);
    font-weight: 700;
    color: var(--primary);
font-size: clamp(3.875rem, 0.5352rem + 5.625vw, 5rem);
}

p,
li {
    font-weight: 400;
    font-style: normal;
    font-size: 18px;
    line-height: 180%;
    color: var(--secondary);
}

ul li {
    list-style: none;
}

a {
    color: var(--secondary);
    text-decoration: none;
    cursor: pointer;
}
a:visited button {
    color: inherit,
}

a button {
    cursor: pointer;

}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

li.current a {
    color: var(--primary);
    font-weight: 700;
}

/* Navigation */
nav {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 16px;
    background-color: var(--white);
    z-index: 100;
}

nav>div {
    max-width: var(--maxWidth);
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
	gap: 60px;
}

nav>div #logo {
    max-width: 250px;
    height: auto;
}

nav>div .mod-menu {
    display: flex;
    flex: 1;
    justify-content: end;
    flex-wrap: wrap-reverse;
    gap: 5%;
    row-gap: 10px;
}

.nav-item {
    line-height: 250%;
	display: grid;
	place-items: center;
}

.nav-item:has(.mod-menu__sub)::after {
    content: url('data:image/svg+xml; utf8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512"><path d="M310.6 233.4c12.5 12.5 12.5 32.8 0 45.3l-192 192c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3L242.7 256 73.4 86.6c-12.5-12.5-12.5-32.8 0-45.3s32.8-12.5 45.3 0l192 192z"/></svg>');
    width: 8px;
    height: auto;
    display: block;
    color: var(--primary);
}

.mod-menu__sub {
    position: absolute;
    top: 50px;
    display: none;
    background-color: var(--secondary);
    box-shadow: 3px 3px 20px -2px var(--shadow);
	z-index: 900;
}

.nav-item:has(.mod-menu__sub) {
    position: relative;
    display: flex;
    align-items: center;
    gap: 16px;
}

.nav-item:has(.mod-menu__sub):hover::after {
    transform: rotate(90deg);
}

.nav-item:has(.mod-menu__sub):hover .mod-menu__sub {
    display: block;
}

.nav-item:has(.mod-menu__sub):hover .mod-menu__sub .nav-item a {
    padding: 5px 30px;
    white-space: nowrap;
}

.nav-item:has(.mod-menu__sub):hover .mod-menu__sub .nav-item:hover {
    background-color: var(--primary);
}

.nav-item:has(.mod-menu__sub) .mod-menu__sub .nav-item a {
    color: var(--white);
}

.nav-item:hover {
    text-shadow: 0 0 .65px var(--secondary), 0 0 .65px var(--secondary);
    color: var(--secondary);
}
.menu-button {
	background-color: var(--primary);
    color: var(--white);
	border: 1px solid var(--primary);
    padding: 10px 20px;
	transition: all ease-out .2s;
	display: flex;
	align-items: center;
	gap: 10px
}
.current .menu-button {
	color: var(--white);	
}
.menu-button:hover {
    background-color: var(--dark);
    border: 1px solid var(--dark);	
}
.menu-button::before {
	content: url("/templates/klar/assets/icons/calendar-circle-plus-solid.svg");	
	width: 22px;
	translate: 0 2px;
}
@media screen and (max-width: 1230px) {
	.menu-button {
		padding: 0px 10px;
	}	
}

.burger .line {
    width: 100%;
    height: 5px;
    background-color: var(--secondary);
    display: block;
}

.burger {
    width: 35px;
    height: 20px;
    gap: 5px;
    display: none;
}

/* Banner */

.banner {
    background-color: var(--gray);
    display: grid;
    place-items: center;
    padding: var(--section-padding);
}

.banner .banner_container {
    max-width: 1200px;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    z-index: 2;
}

.banner .banner_container .image {
    grid-column: 1 / 3;
    grid-row: 1 / 2;
    scale: 1.2;
	width: 140%;
    height: 110%;
    place-self: center start;
	transform: none !important;
	scale: 1 !important;
}
.banner .banner_container .image img {
	object-position: 45%;
}

.banner .banner_container .content {
    background-color: var(--white);
    padding: 60px;
    z-index: 11;
    display: grid;
    gap: 16px;
    grid-column: 3 / 6;
    grid-row: 1 / 2;
	width: 90%;
}

/* Mod-Custom */

.mod-custom {
    max-width: var(--maxWidth);
    width: 100%;
}

.mod-custom .container {
    z-index: 2;
    position: relative;
}



.mod-custom .container .content p:not(:last-of-type) {
    margin-bottom: 30px;
}



/* Styling Buttons */
.content p:has(button) {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: 30px;
}

.content p:has(button) button {
    border: none;
    inset: none;
    font-size: 18px;
    padding: 10px 20px;
}

.content p:has(button) a:nth-of-type(1) button {
    background-color: var(--primary);
	border: 1px solid var(--primary);
    color: var(--white);
	transition: background-color ease-out .3s, border ease-out .3s;
}
.content p:has(button) a:nth-of-type(1) button:hover {
    background-color: var(--dark);
	border: 1px solid var(--dark);
}

.content p:has(a button) a:nth-of-type(2) button {
    background-color: transparent;
    border: 1px solid var(--dark);
	transition: background-color ease-out .3s, color ease-out .3s;
}
.content p:has(a button) a:nth-of-type(2) button:hover {
    background-color: var(--dark);
    border: 1px solid var(--dark);
	color: var(--white);
}


/* Sections */

section {
    display: grid;
    place-items: center;
    width: 100%;
    padding: var(--section-padding);
}

section.about_home p:has(a button) a:nth-of-type(2) button,
section.cta p:has(a button) a:nth-of-type(2) button {
    border: 1px solid var(--white);
    color: var(--white)
}

.about_home .mod-custom .container,
.methoden_home .mod-custom .container,
.about .com-content-article .container {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    place-items: center;
    z-index: 1;
    position: relative;
}

.about .com-content-article {
    gap: 60px;
}

.about_home .mod-custom .container .image {
    grid-column: 4 / 6;
    z-index: 10;
}

.about_home .mod-custom .container .content,
.cta .mod-custom .container .content,
.methoden_home .mod-custom .container .content {
    display: grid;
}

.methoden_home .mod-custom .container .content,
.about .com-content-article .content {
    grid-column: 3 / 6;
}

.about_home .mod-custom .container .image {
    scale: 1.2;
    aspect-ratio: 1 / 1;
}

.about_home .mod-custom .container .content {
    grid-column: 1 / 4;
}
.about .com-content-article .image {
	height: 100%;
	width: 100%;
}
.about .com-content-article .image figure {
	height: auto;
}
.methoden_home .mod-custom .container .image,
.about .com-content-article .image {
    grid-column: 1 / 3;
    aspect-ratio: 3 / 4;

}

.methoden_home .mod-custom .container .content,
.about_home .mod-custom .container .content {
    grid-row: 1;
    z-index: 11;
    padding: 60px;
}

.about_home .mod-custom .container .content {
    background-color: var(--secondary);
}



.about_home .mod-custom .container .content p,
.about_home .mod-custom .container .content h4,
.about_home .mod-custom .container .content h2 {
    color: var(--white);
}

.methoden_home .mod-custom .container .content h2 {
    color: var(--primary);
}




/* Newsflash Startseite */
section:has(.newsflash) {
    background-color: var(--gray);
}

.newsflash {
    max-width: var(--maxWidth);
    width: 100%;
    padding: 200px 0px;
}

.newsflash .grid_container {
    display: grid;
    gap: 30px;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
    z-index: 2;
    position: relative
}

.newsflash .grid_container>div {
    padding: 30px;
    background-color: var(--white);
    gap: 30px;
}

.newsflash .grid_container>div .content {
    display: flex;
    flex-direction: column;
    gap: 15px;
    height: 100%;
}

.newsflash .grid_container>div .content>p:first-of-type {
    flex: 1;
}

.newsflash .grid_container>div .content h3 {
    font-family: var(--heading-font);
}

.newsflash .grid_container>div .content h3 strong {
    color: var(--primary);
    font-family: var(--heading-font);
}

.newsflash .grid_container>div:nth-child(1) .content h2 {
    font-family: var(--heading-font);
    color: var(--primary);
}

.newsflash .grid_container>div:nth-child(1) {
    grid-column: 1 / -1;
    grid-row: 1 / 2;
    background-color: transparent;
    padding-left: 0px;
    padding-right: 0px;
}

.newsflash .grid_container>div:nth-child(2) {
    grid-column: 1 / 2;
    grid-row: 2 / 4;
    display: grid;
    grid-template-rows: 1fr 1fr;
}

.newsflash .grid_container>div:nth-child(3) {
    grid-column: 2 / 3;
    grid-row: 2 / 3;
}

.newsflash .grid_container>div:nth-child(4) {
    grid-column: 3 / 4;
    grid-row: 2 / 3;
}

.newsflash .grid_container>div:nth-child(5) {
    grid-column: 2 / -1;
    grid-row: 3 / 4;
    display: grid;
    gap: 60px;
    grid-template-columns: repeat(2, 1fr);
}
.newsflash .grid_container>div:nth-child(6) {
    grid-column: span 2;
}

.newsflash .grid_container>div:nth-child(4) figure {
    grid-column: 2 / 3;
    grid-row: 2 / 3;
}

.newsflash .grid_container>div:nth-child(4) .content {
    grid-column: 1 / 2;
    grid-row: 2 / 3;
}

.view-category .newsflash {
    padding: 0;
}

.readmore {
    margin-top: 30px;
}

.readmore .btn {
    background-color: var(--primary);
	border: 1px solid var(--primary);
    padding: 10px 20px;
    color: var(--white);
	transition: background-color ease-out .3s, border ease-out .3s;
}

.readmore .btn:hover {
    background-color: var(--dark);
	border: 1px solid var(--dark);
}


/* Article */
.view-article:not(.about) .image {
    position: absolute;
    left: 0;
    right: 0;
    top: 100px;
    height: 50dvh;
    z-index: -1;
}

.view-article:not(.about) .com-content-article:has(.image) .content {
    margin-top: calc(50dvh - 100px);
}

.view-article .content ul {
    margin-top: 30px;
    margin-bottom: 60px;
    margin-left: 30px;
}

.view-article .content ul li {
    list-style: disc;
    line-height: 220%;

}

.com-content-article__body h4 {
    margin-bottom: 30px;
}

.com-content-article__body p {
    margin-top: 30px;
}

.view-article .com-content-article__body hr {
    margin: 60px 0;
    border: none;
    outline: 1px solid var(--gray);
}

section.com-content-article .container {
    max-width: var(--maxWidth);
    gap: 40px;
}

/* Konditionen */

section:has(.fields-container) {
    background-color: var(--primary);
}

section .fields-container {
    max-width: 600px;
    width: 100%;
}

section:has(.fields-container) .titel span {
    font-family: var(--heading-font);
    font-weight: 700;
    color: var(--white);
    font-size: 50px;
}

section:has(.fields-container) .konditionen {
    margin: 60px 0;
}

section:has(.fields-container) .konditionen ul li:first-of-type {
    border-bottom: none;
}

section:has(.fields-container) .konditionen ul li:first-of-type .field-value {
    font-weight: 700;
}

section:has(.fields-container) .konditionen ul li {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid var(--white);
    line-height: 250%;
}

section:has(.fields-container) .konditionen ul li .field-entry:first-of-type {
    flex: 1;
}

section:has(.fields-container) .anmeldeinformation {
    display: grid;
}

section:has(.fields-container) .anmeldeinformation .field-label {
    font-weight: 700;
    line-height: 250%;
}

.field-value,
.field-label {
    font-weight: 400;
    font-style: normal;
    font-size: 18px;
    line-height: 150%;
    color: var(--gray);
}

/* CTA */
.cta {
    background-color: var(--secondary);
    z-index: 2;
    position: relative;
}

.cta h2,
.cta h3 {
    color: var(--white);
}

.cta h4,
.cta p {
    color: var(--gray);
}

.cta .mod-custom .container .content h3 {
    font-size: 50px;
    margin-bottom: 30px;
    margin-top: 10px;
}

/* Footer */
footer {
    background-color: var(--dark);
    display: grid;
    place-items: center;
    padding: 30px;
    z-index: 2;
    position: relative;
}

footer .container {
    max-width: var(--maxWidth);
    width: 100%;
    display: flex;
	justify-content: space-between;
    align-items: center;
    gap: 30px;
    z-index: 2;
}

footer .container a {
    color: var(--white);
}

footer .container a:last-of-type {
    font-weight: 700;
}
footer .footer-icons {
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	gap: 30px;
}
footer .partner-logo {
	width: 200px;
	background-color: var(--white);
	display: grid;
	place-items: center;
	padding: 20px;
}
footer .partner-logo img {
	width: 100%;	
	height: auto;
}
footer .social-media {
	display: flex;
	gap: 10px;
}
footer .social-media img {
	filter: invert(1);
	width: 25px;
}
footer .footer-menu {
	display: flex;
	column-gap: 30px;
	flex-wrap: wrap;
}
footer .footer-menu a {
	display: flex;
	align-items: center;
}
footer .footer-menu a img {
	width: 15px;
	height: auto;
}
svg {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 100%;
    width: 100%;
    opacity: .2;
    pointer-events: none;
    overflow: hidden;
}
#overlay {
    position: absolute;
    top: 210px;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    opacity: .2;
    pointer-events: none;
    overflow: hidden;
}
#overlay img:nth-of-type(1){
    width: auto;
}
.motionImage {
    position: absolute;
    top: 500px;
	left: 300px;
    width: 150px;
    height: auto;
    opacity: .15;
	scale: 0;
	pointer-events: none;
}

.itemid-116 h2, .itemid-115 h2 {
color: var(--primary);
	
}

.itemid-116 h4, .itemid-115 h4 {
	margin-top: 60px;
	
}
#rsform_4_page_0>.formRow {
	display: grid;
	place-items: center;
	margin-top: 100px;
}
#rsform_4_page_0 .formSpan12 {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
	column-gap: 30px;
    row-gap: 10px;
	max-width: 600px;
	width: 100%;
}
.formControls .formBody {
	display: flex;
	flex-direction: column;
}
.formControls .formBody input,
.formControls .formBody textarea,
.rsform-block label {
	font-size: 18px;
	padding: 10px;
	resize: vertical;
}
.rsform-block label {
	display: block;
}
.rsform-type-submitbutton {
	grid-column: 1;	
	width: fit-content;
}
.rsform-type-submitbutton button {
	background-color: var(--primary);
	border: 1px solid var(--primary);
	color: var(--white);
	padding: 10px 20px;
	cursor: pointer;
	transition: all ease-out .2s;
}
.rsform-type-submitbutton button:hover {
	background-color: var(--dark);
	border: 1px solid var(--dark);
}
.formNoError,
.formDescription {
	display: none;	
}
.formError, .formRed {
	color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb; 
	padding: .75rem 1.25rem;
	display: block;
}
.formControlLabel {
	font-weight: bold;	
	margin-top: 20px;
}
label:has(.rsform-radio) {
	display: flex;
	gap: 10px
}

.itemid-105 .com-content-article__body > * {
	max-width: 600px;
}
.itemid-105 h1 {
	line-height: 60%;
}
.itemid-105 h1 strong {
	font-size: 48px;
}

.field-entry.informationen * {
	color: var(--white);
}
.field-entry.informationen ul {
	margin-left: 16px;
	margin-top: 10px;
	display: flex;
	flex-direction: column;
	gap: 8px;
}
.field-entry.informationen li {
	list-style: disc;
}

@media screen and (max-width: 715px) {
	#rsform_4_page_0 .formSpan12 {
		grid-template-columns: 1fr;
	}	
	#rsform_4_page_0 .formSpan12 *:not(.rsform-radio) {
		width: 100%;
	}	
}


/* Breakpoints */

@media screen and (min-width: 1430px) {
    :root {
        --section-padding: 200px;
    }


}

@media screen and (max-width: 1430px) {
    section .newsflash .grid_container {
        grid-template-rows: inherit;
        grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    }

    section .newsflash.newsflash .grid_container>div:not(:first-of-type) {
        grid-column: auto;
        grid-row: auto;
        grid-template-rows: inherit;
        grid-template-columns: auto;
        hyphens: auto;
        gap: 30px;
    }
}

@media screen and (max-width: 950px) {
	.itemid-105 h1 {
		line-height: 100%;	
	}
    h1,
    h1 strong,
    .titel .field-value {
        font-size: clamp(2.1875rem, 1.7113rem + 2.381vw, 3.125rem) !important;
    }

    h2 {
        font-size: 8vw;
        word-break: break-word;
        hyphens: auto;
    }

    h3,
    .cta .mod-custom .container .content h3 {
        font-size: 30px;
    }

    h4 {
        font-size: clamp(1.25rem, 0.8333rem + 1.3333vw, 1.625rem);
        line-height: 160%;
    }

    nav>div .mod-menu.nav {
        display: none;
    }

    nav>div .mod-menu.nav.show {
        display: flex;
		align-items: start;
    }

    nav>div .mod-menu.nav {
        position: absolute;
        top: 0;
        right: 0;
        z-index: 100;
        background-color: white;
        height: 100dvh;
        flex-direction: column;
        justify-content: center;
        padding: 100px;
        max-width: 500px;
        width: 100%;
    }

    #logo {
        z-index: 110;
        position: relative;
    }

    .burger {
        display: grid;
        z-index: 110;
    }

    nav>div:has(.show) .burger .line:nth-of-type(1) {
        transform: rotate(45deg);
        translate: 0 6px;
        transition: all ease-out .3s;
    }

    nav>div:has(.show) .burger .line:nth-of-type(2) {
        display: none;
    }

    nav>div:has(.show) .burger .line:nth-of-type(3) {
        transform: rotate(-45deg);
        transition: all ease-out .3s;
        translate: 0 -7px;
    }

	header {
		position: relative; 
	}
	

    .banner {
        max-height: fit-content;
        padding-top: 0px;
        padding-bottom: 0px;
    }

    .banner .banner_container {
        padding-top: 80px;
        padding-bottom: 80px;
    }

    .banner .banner_container .image {
        position: absolute;
		left: 0;
        top: 0;
        bottom: 0;
		width: 100vw;
    }
	.banner .banner_container .content {
		width: 100%;	
	}

    .methoden_home .mod-custom .container .image,
    .about_home .mod-custom .container .image,
    .banner .banner_container .image,
    .about .com-content-article .content {
        grid-column: 1 / -1;
        grid-row: 1 / 2;
        scale: 1;
    }

    .methoden_home .mod-custom .container .content {
        padding-left: 0;
        padding-right: 0;
    }

    .methoden_home .mod-custom .container .content,
    .about_home .mod-custom .container .content,
    .banner .banner_container .content,
    .about .com-content-article .image {
        grid-column: 1 / -1;
        grid-row: 2 / 3;
        padding: 40px;
    }
    .methoden_home .mod-custom .container .content {
        grid-column: 1 / -1;
        grid-row: 2 / 3;
        padding-top: 40px;
        padding-bottom: 40px;
        padding-left: 0px;
        padding-right: 0px;
    }

    canvas,
    #overlay {
        display: none;
    }




}

@media screen and (max-width: 660px) {
	.itemid-105 h1 {
		line-height: 140%;	
	}
    section:has(.fields-container) .konditionen ul li {
        display: flex;
        flex-direction: column;
        width: 100%;
        min-width: 100%;
        line-height: 200%;
    }

    section:has(.fields-container) .konditionen ul li:first-of-type {
        display: none;
    }

    section:has(.fields-container) .konditionen ul li .field-entry:last-of-type .field-value {
        font-weight: 700;
    }
}

@media screen and (max-width: 500px) {
    :root {
        --section-padding: 100px 20px
    }

    h2 {
        font-size: 50px;
    }

    .content p:has(button) {
        flex-direction: column;
    }

    .content p:has(button) a,
    .content p:has(button) a button {
        width: 100%;
    }

    .content p:has(button) br {
        display: none;
    }
    .view-article:not(.about) .com-content-article:has(.image) .content {
        margin-top: calc(50dvh);
    }

    footer .container {
        flex-direction: column;
        gap: 10px;
    }

    footer .container .footer-menu {
        margin-top: 30px;
    }
}